// dataLoader.ts
import { writable } from 'svelte/store';
import dataSources from 'virtual:data-sources-list';  // Import the generated list

// The store that holds the data sets
export const dataStore = writable({});

// Dynamically import the data modules and assign them to the store
dataSources.forEach(src => {
    import(`/src/lib/data/${src}.ts`).then(module => {
        // Here, explicitly extract the required data or function from the module
        const moduleData = module[src] || module.default;

        dataStore.update(store => ({ ...store, [src]: moduleData }));
    });
});



// // dataLoader.ts

// import { writable } from 'svelte/store';
// import { queryMessages } from '$lib/data/queryMessages';
// import { queryTodos } from '$lib/data/queryTodos';

// // The store that holds the data sets
// export const dataStore = writable({
//     queryMessages: queryMessages,
//     queryTodos: queryTodos
// });